<?php

session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

//エラーメッセージを表示させる
ini_set('display_errors',"On");

//dbc.phpの読み込み
require_once("./dbc.php");

//Dbcクラスのインスタンス
$dbc=new Dbc();

//更新フォームからデータを受け取る
$datas=$_POST;

//バリデーション
if(empty($datas['thema'])){
    exit('テーマを入力してください。');
}

//spl文 プレースホルダーを使用
$sql="UPDATE tasktable SET thema=?,task=?,dueDate=? WHERE id=?";

//データベースに接続
$dbh=$dbc->dbConnect();

try{
    $stmt=$dbh->prepare($sql);
    
    $stmt->bindValue(1,$datas['thema']);
    $stmt->bindValue(2,$datas['task']);
    $stmt->bindValue(3,$datas['dueDate']);
    $stmt->bindValue(4, $datas['id']);

    $stmt->execute();

    echo'内容を更新しました';
}catch(PDOException $e){
    exit($e);
}

?>
<p><a href="./index.php">戻る</a></p>