<?php

session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

class Dbc{
    
    //データベース接続
    public function dbConnect(){

        $dsn = "mysql:dbname=task_ap;host=localhost;charset=utf8;port=8889";

        try {
            $dbh = new PDO($dsn, 'taskUser', 'task',[
                PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
                PDO::ATTR_EMULATE_PREPARES => false,
            ]);

        } catch (PDOException $e) {
            echo "接続失敗: " . $e->getMessage() . "\n";
            exit();
        }

        return $dbh;

    }

    //データを取得
    public function getAll(){
        
        $dbh=$this->dbConnect();

        //sqlの準備
        $sql="SELECT * FROM tasktable";

        //sqlの実行
        $stmt = $dbh->query($sql);

        //sqlの結果を受け取る
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);

        return $result;

    }

    public function getById($id){

        if(empty($id)){
            exit('IDが不正です');
        }        
        
        $dbh=$this->dbConnect();
        
        //sqlの準備　プレースホルダーを使用
        $stmt=$dbh->prepare("SELECT*FROM tasktable Where id=:id");
    
        $stmt->bindValue(':id', (int)$id, PDO::PARAM_INT);
        
        //sqlの実行
        $stmt->execute();
        
        //結果を取得
        $result=$stmt->fetch(PDO::FETCH_ASSOC);
        
        if(!$result){
            exit('タスクがありません');
        }

        return $result;
    }

    public function delete($id){

        if(empty($id)){
            exit('IDが不正です');
        }        
        
        $dbh=$this->dbConnect();
        
        //sqlの準備　プレースホルダーを使用
        $stmt=$dbh->prepare("DELETE FROM tasktable Where id=:id");
        $stmt->bindValue(':id', (int)$id, PDO::PARAM_INT);
        
        //sqlの実行
        $stmt->execute();

        echo'タスクを削除しました。';

    }
}

?>