<?php

session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");

//dbc.phpの読み込み
require_once("./dbc.php");

//Dbcクラスのインスタンス
$dbc=new Dbc();

//データベースから情報を取得
$taskData=$dbc->getAll();

//特殊文字をテキスト化する関数
function h($s){
    return htmlspecialchars($s,ENT_QUOTES,"UTF-8");
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="index_style.css">
    <title>Document</title>
</head>
<body>
    <header>
        <div class="inner">
            <div class="denote_l">
                <h1 class="logo">
                    <a href="#">
                        <img src="./images/logo_view.png" alt="image">
                    </a>
                </h1>
                <p class="title">タスク管理</p>
            </div>          
            
            <p class="btn"><a href="./form.html">追加</a></p>

        </div>
        
    </header>

    <div id="top_visual">
        <img src="images/top_img.png" alt="image">
    </div>

    <main>
        <section id="information">

            <?php foreach ($taskData as $tasks): ?>
                <article>
                    <h2><?php echo h($tasks['thema']) ?></h2>
                    <p><?php echo nl2br(h($tasks['task'])) ?></p>
                    <p>期限</p>
                    <time><?php echo nl2br(h($tasks['dueDate'])) ?></time>   
                    <br>
                    <br>           
                    <p class="btn"><a href="./update.php?id=<?php echo $tasks['id'] ?>">編集</a></p>
                    <p class="btn"><a href="./delete.php?id=<?php echo $tasks['id'] ?>">削除</a></p>
                </article>
            <?php endforeach; ?>    

        </section>
    </main>
    
</body>
</html>